/wireless-gateway-task-definitions
http://api.iotwireless.{region}.amazonaws.com/wireless-gateway-task-definitionsList the wireless gateway tasks definitions registered to your AWS account.
Query Params
The maximum number of results to return in this operation.
To retrieve the next set of results, the <code>nextToken</code> value from a previous response; otherwise <b>null</b> to receive the first set of results.
A filter to list only the wireless gateway task definitions that use this task definition type.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://api.iotwireless.{region}.amazonaws.com/wireless-gateway-task-definitions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}